package provide tclcron::tclcron_lonce 1.0
package provide tclcron::tclcron_once 1.0

namespace eval tclcron {}
namespace eval tclcron::once {}
namespace eval tclcron::lonce {}

proc tclcron::lonce::initialize {idx params} {
    return $params
}

proc tclcron::lonce::schedulenext {argsvar clock} {
    upvar $argsvar ar
    if {[llength $ar]>0} {
	set car [lindex $ar 0]
	set ar [lrange $ar 1 end]
	return [clock scan $ar -base $clock]
    }  else  {
	return {}
    }
}

proc tclcron::once::initialize {idx params} {
    return $params
}


proc tclcron::once::schedulenext {argsvar clock} {
    upvar $argsvar ar
    if {[llength $ar]>0} {
	set car $ar
	set ar [list]
	return [clock scan $car -base $clock]
    }  else  {
	return {}
    }
}

