set dir [file join [file dirname [info script]] .. lib tclcron]

if {[file exists $dir]} {
    set auto_path [linsert $auto_path 0 $dir]
}

package require tclcron

set idx_tickA [tclcron::schedule {
    puts "Tick A"
} every 1 second]

set idx_tickB [tclcron::schedule {
    puts "Tick B"
} every 1 second]

tclcron::schedule {
    tclcron::unschedule $idx_tickA
} once 30 seconds

tclcron::schedule {
    exit
} once 40 seconds

vwait forever
